Bug 216544 - Review Request: libdvdread - Simple foundation for reading DVD video disks
Summary: Review Request: libdvdread - Simple foundation for reading DVD video disks
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michał Bentkowski
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-11-21 00:06 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2008-09-23 20:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 22:46:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2006-11-21 00:06:56 UTC
Spec URL: http://rpm.greysector.net/extras/libdvdread.spec
SRPM URL: http://rpm.greysector.net/extras/libdvdread-0.9.7-1.src.rpm
Description:
libdvdread provides a simple foundation for reading DVD video disks.                                                    
It provides the functionality that is required to access many DVDs.

Note: it does not support encrypted DVDs (i.e. doesn't contain libdvdcss).

According to a discussion with Tom Callaway, it should be acceptable in Extras.

Comment 1 Parag AN(पराग) 2006-11-21 06:19:58 UTC
So which package currently needs this package? how can i test its working? how
can i read video DVDs?

Comment 2 Peter Lemenkov 2006-11-21 10:22:47 UTC
> Note: it does not support encrypted DVDs (i.e. doesn't contain libdvdcss).

So it's completely useless.


Comment 3 Dominik 'Rathann' Mierzejewski 2006-11-21 10:42:30 UTC
(In reply to comment #2)
> > Note: it does not support encrypted DVDs (i.e. doesn't contain libdvdcss).
> 
> So it's completely useless.

Not quite. You can install libdvdcss from another repository and it'll work with
encrypted DVDs, too.



Comment 4 Thorsten Leemhuis 2006-11-21 10:47:18 UTC
(In reply to comment #2)
> So it's completely useless.

There is afaik software out there that can use libdvdread as provided here.
Maybe that software itself is not suitable for Extras -- but even if that's
really the case it's IMHO still a good idea to provide libdvdread in Extras.

Comment 5 Parag AN(पराग) 2006-11-21 10:57:53 UTC
I can review this package but i need to know how can i test its working.

Comment 6 Dominik 'Rathann' Mierzejewski 2006-11-21 11:11:51 UTC
(In reply to comment #1)
> So which package currently needs this package? how can i test its working? how
> can i read video DVDs?

gstreamer-plugins(-ugly?) can be built with libdvdread support. Also, there are
examples from Debian: lsdvd, dvdbackup.

Comment 7 Peter Lemenkov 2006-11-21 16:21:15 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > > Note: it does not support encrypted DVDs (i.e. doesn't contain libdvdcss).
> > 
> > So it's completely useless.
> 
> Not quite. You can install libdvdcss from another repository and it'll work with
> encrypted DVDs, too.

Oops. Sorry. 
In this case it really valuable. )

I reviewed the code and saw that it loads libdvdcss.so.2 in our case.

Comment 8 Michał Bentkowski 2006-11-23 17:23:32 UTC
MUST items:
 * rpmlint output:
W: libdvdread-devel no-documentation
 * package is named well
 * spec file name is good
 * package meets Packaging Guideline
 * package is licensed with an GPL open-source compatible license
 * License field in spec file matches actual license
 * license file is included in %doc 
 * md5sums are matching (078788c9241ae16763529e1235502337)
 * package successfully compiles on x86_64
 * no locales
 * proper %post and %postun sections
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * macros used well
 * -devel subpackage created and looks good

Package can be approved :)

Comment 9 Dominik 'Rathann' Mierzejewski 2006-11-27 22:46:00 UTC
To resolve any doubts:
https://www.redhat.com/archives/fedora-maintainers/2006-November/msg00256.html

Imported and built for devel, FC-5 and FC-6 branches requested.

Thanks for the review.

Comment 10 Rex Dieter 2008-09-23 14:10:07 UTC
Package Change Request
======================
Package Name: libdvdread
New Branches: EL-5 
Updated EPEL Owners: rathann, rdieter

Mailed Dominik, he's ok with comaintaining an EPEL branch.

Comment 11 Kevin Fenzi 2008-09-23 20:45:11 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.